> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download a workflow response's material

> Redirects to a short-lived link to a Generated material of a completed workflow response, as a PDF. The material's download_url on the response links here. A candidate receives the faculty version. While the PDF renders after the response completes or changes, the request answers 503. Retry after the Retry-After seconds.



## OpenAPI

````yaml /openapi.json get /api/v1/workflow_responses/{id}/materials/{material_id}
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/workflow_responses/{id}/materials/{material_id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: material_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Workflow Responses
      summary: Download a workflow response's material
      description: >-
        Redirects to a short-lived link to a Generated material of a completed
        workflow response, as a PDF. The material's download_url on the response
        links here. A candidate receives the faculty version. While the PDF
        renders after the response completes or changes, the request answers
        503. Retry after the Retry-After seconds.
      operationId: materialWorkflowResponseMaterials
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
      responses:
        '302':
          description: a redirect to the material's PDF
          headers:
            Location:
              description: a link to the PDF that expires after five minutes
              schema:
                type: string
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: forbidden
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: not found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: the PDF is still rendering
          headers:
            Retry-After:
              description: the seconds to wait before retrying
              schema:
                type: integer
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearer_auth: []
components:
  schemas:
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.